# カートにアイテムを入れる

カートにアイテムを入れます。カートに同じSKUのアイテムがすでにある場合、既存のアイテムは渡された値で置き換えられます。

Endpoint: PUT /v2/project/{project_id}/cart/fill
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。
    Example: 44056

## Request fields (application/json):

  - `currency` (string)
    標準の決済通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)3文字通貨コード。

  - `items` (array, required)
    アイテムのリスト。

  - `items.quantity` (number, required)

  - `items.sku` (string, required)

## Response 200 fields (application/json):

  - `cart_id` (string)
    カートID。
    Example: "cart_id"

  - `is_free` (boolean)
    trueの場合、カートは無料です。

  - `items` (array)

  - `items.attributes` (array)
    アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。
    Example: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7","value":"Strategy"},{"external_id":"genre_b8d0c6d8f0524c2b2d79ebb93aa3cd0e8b5199a8","value":"Mobile"}]}}

  - `items.attributes.external_id` (string)
    一意の属性ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_1"

  - `items.attributes.name` (string)
    属性の名前。
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    属性の一意の値ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    属性の値。
    Example: "Strategy"

  - `items.description` (string)

  - `items.groups` (array)

  - `items.groups.external_id` (string)

  - `items.groups.name` (string)

  - `items.image_url` (string)

  - `items.is_free` (boolean)

  - `items.name` (string,null)

  - `items.quantity` (integer)

  - `items.sku` (string)

  - `items.type` (string)

  - `price` (object,null)
    カートの価格。
    Example: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"

  - `price.amount` (string)

  - `price.amount_without_discount` (string)

  - `price.currency` (string)

  - `warnings` (array)
    Example: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]

  - `warnings.errorCode` (integer)

  - `warnings.errorMessage` (string)

  - `warnings.quantity` (integer)

  - `warnings.sku` (string)


